/ lang / function
FUNCTION
This keyword is used for introducing a procedure declaration with a return value.

### Examples

    PUBLIC FUNCTION Solve1(vz AS Integer[], vewhy AS Integer[]) AS Boolean

    ...
       RETURN TRUE
    ...
    END

| In Gambas the RETURN value is passed as a parameter to the RETURN statement. In VB the RETURN value is assigned to the FUNCTION name: `Solve1 = TRUE`

### See also

Method Declaration RETURN